Bug 61198 - Accessibility of i18n sites
Summary: Accessibility of i18n sites
Status: CLOSED FIXED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 21 votes (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-14 00:07 UTC by Sergio (a.k.a. Serge Tellene)
Modified: 2010-01-23 23:26 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
A screenshot with a proposed substitude for this combobox (166.15 KB, image/png)
2006-04-05 21:35 UTC, Marcos Fouces
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio (a.k.a. Serge Tellene) 2003-07-14 00:07:49 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

I just want to relay a comment that was sent to me about how it can be a
little bit difficult for a non-english reader to "find his/her way" towards
the translated site when browsing the index page of www.kde.org. In fact,
the drop-down menu is indeed there, on the first line, but it is all text
and many people do not seem to understand very well the "Choose your
location" sentence.

Just in case you find this acceptable, I'll list here two little things
that in my opinion could improve the visibility of the translated sites : -
replace "Choose your location" by "Change Language" or "In your language" -
on the left of the drop-down list, put little clickable flags (if you need
a visual proposition, tell me). That should strike the reader enough ;-)
Comment 1 Chris Howells 2003-07-18 09:33:00 UTC
I'll take care of this eventually. 
Comment 2 Nicolas Goutte 2004-07-25 16:32:31 UTC
The list shows mirrors, not the translated sites (for example kde.fr or kde.de), except when you choose "KDE In Your country".

I suggest that "KDE In Your country" would be an independant link outside the combobox.

Have a nice day!
Comment 3 Nicolas Goutte 2004-08-10 18:07:05 UTC
testing 2
Comment 4 Andrey Cherepanov 2005-01-11 14:50:41 UTC
I try to find somebody who can help us to fix this bug. I solve this feature on my website http://eas.lrn.ru (transparent translation both system messages and documents on English and Russian). But it's necessary to write own PHP engine because most popular CMS engines have multilanguage document support only as dirty hack. :(

I subscribe on kde-www maillist today and try to resolve this bug.
Comment 5 Frédéric Sheedy 2006-01-07 21:25:27 UTC
Put little clickable flags it's a very good idea.
Comment 6 Marcos Fouces 2006-04-05 21:35:03 UTC
Created attachment 15483 [details]
A screenshot with a proposed substitude for this combobox
Comment 7 Vikram Dhillon 2010-01-23 02:30:22 UTC
Guys any updates on this one, or can I go ahead and close this bug.
Comment 8 Thorsten Staerk 2010-01-23 10:16:44 UTC
As of today, there is no drop-down menu on http://www.kde.org.
Comment 9 Sergio (a.k.a. Serge Tellene) 2010-01-23 23:26:47 UTC
Hi everyone,

Wow I am amazed to hear about this some 6+ years later :)
The good news is: this has been taken care of using little flags as suggested.
Thanks to whoever fixed it. This bug can be closed (I will try to close it as "fixed").

Again, kudos to all & many thanks for your commitment.
Sergio